<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
--%>

<%@page language="java" contentType="text/html; charset=Windows-31J" pageEncoding="Windows-31J"%>
<%@page import="java.util.*"%>
<%@page import="jp.co.ntt.lms.lo.scorm.util.*"%>

<html>
<head>
</head>
<script>
var duration = 0;
function setCurrentTime()
{
	duration++;

	var hour = Math.floor(duration / 3600);
	var minutes = Math.floor((duration % 3600) / 60);
	var second = duration % 60;

	document.getElementById("duration").innerHTML = ("0" + hour).substring((hour < 10) ? 0 : 1, (hour < 10) ? 2 : 3) + ":" + ("0" + minutes).substring((minutes < 10) ? 0 : 1, (minutes < 10) ? 2 : 3) + ":" + ("0" + second).substring((second < 10) ? 0 : 1, (second < 10) ? 2 : 3);
}
function execute()
{

<%	
	String action_id = request.getParameter("action_id");
	String COMD = request.getParameter("COMD");
	String USERID = request.getParameter("USERID");
	String LOID = request.getParameter("LOID");
	String ManifestID = LOID;
	String StudentName = request.getParameter("StudentName");
	String StudyInfoURL = request.getParameter("StudyInfoURL");
	String StudySession = request.getParameter("StudySession");
	String LoginSession = request.getParameter("LoginSession");
	String EndURL = request.getParameter("EndURL");
	String study_start_date = request.getParameter("study_start_date");
	Calendar calendar = Calendar.getInstance();
	
	String ServerName = SG.get("ManagerName");
	String AuthKey = Authentication.createKey(calendar, USERID, LOID, ServerName);
%>
	window.open("FrameworkServlet?action_id=" + "<%= action_id %>" + "&COMD=" + "<%= COMD %>" + "&USERID=" + "<%= USERID %>" + "&LOID=" + "<%= LOID %>" + "&ManifestID=" + "<%= ManifestID %>" + "&StudentName=" + "<%= StudentName %>" + "&StudyInfoURL=" + "<%= StudyInfoURL %>" + "&StudySession=" + "<%= StudySession %>" + "&LoginSession=" + "<%= LoginSession %>" + "&EndURL=" + "<%= EndURL %>" + "&study_start_date=" + "<%= study_start_date %>" + "&AuthKey=" + "<%= AuthKey %>" + "", "", "resizable=yes,scrollbars=yes");
	location.href = "index.jsp";
}
</script>
<body onload="setInterval(&quot;setCurrentTime()&quot;, 1000);execute();">

経過時刻 [<span id="duration">00:00:00</span>]<br>

</body>
</html>
